FC_BLOCK_SCSI_EH(9)

NAME
fc_block_scsi_eh - Block SCSI eh thread for blocked fc_rport

SYNOPSIS

int fc_block_scsi_eh(struct scsi_cmnd * cmnd);

ARGUMENTS

cmnd
    SCSI command that scsi_eh is trying to recover

DESCRIPTION

This routine can be called from a FC LLD scsi_eh callback. It blocks the scsi_eh thread until the fc_rport leaves the FC_PORTSTATE_BLOCKED, or the fast_io_fail_tmo fires. This is necessary to avoid the scsi_eh failing recovery actions for blocked rports which would lead to offlined SCSI devices.

RETURNS

0 if the fc_rport left the state FC_PORTSTATE_BLOCKED. FAST_IO_FAIL if the fast_io_fail_tmo fired, this should be passed back to scsi_eh.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT